<?php if(!defined('master_script')) die();

/**
 * Copyright (C) Nico Wenig
 * All rights reserved
 *
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @filesource
 */



/**
 * Load extension
 *
 * @category   Extension (updater)
 * @author     Nico Wenig <nico.wenig@yellowgreen.de>
 * @version	   2009-12-27
 */

	if(isset($_GET['backend'])) {
		connector('system tray top', 'updater');
		
		function updater() {
			global $system_data, $updater_xml;
			
			include_txt('updater', $system_data['folder']['extensions'] . 'updater/languages/');
			
			$updater_xml = simplexml_load_file($system_data['service']['updater xml file']);

			if($updater_xml->version > $system_data['system']['version']) {
				echo '
					<a href="index.php?backend=updater" title="' . txt('updater', 'Eine neue Version von Pagemap ist verfügbar. Klicken Sie hier, um die Aktualisierung jetzt durchzuführen.') . '">
						<img style="margin-bottom: -3px" src="' . $system_data['folder']['plugins'] . 'icons/lightbulb.png" alt="Update available">
					</a>
				';
			}
		}
	}
	
?>